Bug 607007 - Can't change toolbar icons for Evolution under KDE
Can't change toolbar icons for Evolution under KDE
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kcm-gtk (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 18:53 EDT by Patrick O'Callaghan
Modified: 2011-06-27 14:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:46:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Evo toolbar icons screenshot (12.47 KB, image/png)
2010-06-22 18:53 EDT, Patrick O'Callaghan
no flags Details

  None (edit)
Description Patrick O'Callaghan 2010-06-22 18:53:14 EDT
Created attachment 426103 [details]
Evo toolbar icons screenshot

Description of problem:
When running Evolution under KDE the toolbar icons for "Mark for deletion" and
"Mark as Junk" are very similar and easily confused. This causes a noticeable
cognitive pause every time I use them and is very irritating. I've reported this against Oxygen on bugs.kde.org. However a more serious issue is that there seems to be no way of changing the icon set.

Version-Release number of selected component (if applicable):
kcm-gtk-0.5.3-3.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Run Evolution under KDE
2.
3.
  
Actual results:
Evo uses Oxygen icons for the toolbar. System Settings doesn't seem to be able to change this.

Expected results:
Icon set configurable via System Settings->Appearance->GTK+ Appearance

Additional info:
Evolution under Gnome uses the default icon set, which is fine. I can also change themes with effect on GTK apps. I just can't change the Oxygen icons.
Comment 1 Rex Dieter 2010-06-23 08:09:00 EDT
This is all part of the system icon them used, changeable via
systemsettings->appearance->icons

(it's not specific to gnome or kde)


"I've reported this against Oxygen on bugs.kde.org"
  do you have bug reference #'s?  I'd be happy to help track this upstream.
Comment 2 Patrick O'Callaghan 2010-06-23 09:34:56 EDT
(In reply to comment #1)
> This is all part of the system icon them used, changeable via
> systemsettings->appearance->icons
> 
> (it's not specific to gnome or kde)

Although I'm happy with Oxygen in general, I tried changing the icon theme to the default Gnome one, just to test it. Other icons on the desktop change but the Evolution toolbar, which is the only one I actually want to change, stays nailed to Oxygen.

> "I've reported this against Oxygen on bugs.kde.org"
>   do you have bug reference #'s?  I'd be happy to help track this upstream.    

https://bugs.kde.org/show_bug.cgi?id=242536
Comment 3 Rex Dieter 2010-06-23 09:57:08 EDT
evolution may not notice the change until your session is restarted (yes, that's a bug ... somewhere)
Comment 4 Patrick O'Callaghan 2010-06-23 12:00:42 EDT
(In reply to comment #3)
> evolution may not notice the change until your session is restarted (yes,
> that's a bug ... somewhere)    

Yes, that worked. The trick is to change the theme to Gnome, log out and in again, then change the theme back to Oxygen. As long as I stay logged in, it's OK.
Comment 5 Bug Zapper 2011-06-01 11:51:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 14:46:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.